Name:                gpick
Version:             0.2.4 
Release:             5%{?dist}
Summary:             Advanced color picker

License:             BSD
URL:                 http://code.google.com/p/gpick/
Source0:             http://gpick.googlecode.com/files/%{name}_%{version}.tar.gz

# Make the build more verbous (patch submitted and merged upstream)
Patch0:              %{name}-patch0-verbose-compile.patch
# Fix build issues with exported SVN code 
Patch1:              %{name}-patch1-fix-svn-release-detect.patch 
# Fix Lua detection
Patch2:              %{name}-patch2-fix-system-lualib-detect.patch

BuildRequires:       scons
BuildRequires:       boost-devel
BuildRequires:       pkgconfig(lua)
BuildRequires:       pkgconfig(dbus-glib-1)
BuildRequires:       pkgconfig(gtk+-2.0)
BuildRequires:       flex
BuildRequires:       lemon
BuildRequires:       expat-devel
BuildRequires:       desktop-file-utils 

%description
Advanced color picker

%prep
%setup -q -n %{name}_%{version}
%patch0
%patch1 
%patch2

# Delete external libraries and only use system dependencies to build GPick
rm -rf extern
echo "INTERNAL_EXPAT=False" >> user-config.py
echo "INTERNAL_LUA=False" >> user-config.py

# Red Hat Developer Toolset
#export CC="/opt/rh/devtoolset-4/root/usr/bin/gcc"
#export CPP="/opt/rh/devtoolset-4/root/usr/bin/cpp"
##export CXX="/opt/rh/devtoolset-4/root/usr/bin/g++"
#export CXX="/opt/rh/devtoolset-4/root/usr/bin/c++"

%build
scons %{?_smp_mflags} CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" LDFLAGS="%{optflags}"

%install
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{optflags}"

scons install DESTDIR=%{buildroot}/%{_prefix}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc %{_docdir}/%{name}/copyright
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.*

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Wed Jan 4 2017 Tomasz Tomasik <scx.mail@gmail.com> - 0.2.4-5
- Built for EL7

* Sat Apr 13 2013 Luya Tshimbalanga <luya@fedoraproject.org> - 0.2.4-4
- Updated spec based Packaging review (rhbz #913367)

* Wed Feb 20 2013 Luya Tshimbalanga <luya@fedoraproject.org> - 0.2.4-2
- Adherance to Fedora Packaging guideline

* Sat Sep 01 2012 Alexis Lameire <alexisis-pristontale@hotmail.com> - 0.2.4-1
- initial release

